package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfRzStatistical;
import com.artfess.cqlt.vo.DataInfoVo;
import com.artfess.cqlt.vo.FaTargetRespVo;
import com.artfess.cqlt.vo.ReportReqVo;
import com.artfess.cqlt.vo.ReportVo;

import java.util.List;

/**
 * 人资-大屏统计宽表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-30
 */
public interface QfRzStatisticalManager extends BaseManager<QfRzStatistical> {

    boolean saveData(List<ReportVo> financialVoList, DataInfoVo dataInfoVo);

    List<FaTargetRespVo> data(ReportReqVo t);

    List<FaTargetRespVo> fromUnderData(ReportReqVo t);

    List<FaTargetRespVo> enterpriseData(ReportReqVo t);
}
